/***************************************************************************
                      main.h  -  header file for main.cpp
                             -------------------
    begin                : Sat Oct 19 2002
    copyright            : (C) 2002 by Andrew D. Balsa
    email                : andrebalsa@mailingaddress.org
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef MAIN_H
#define MAIN_H

/*--------------  Defines  ------------------*/

#define PLAY_MOVE (0)   /* code for normal play */
#define RESIGN (-2)     /* code for resigning */
#define PASS (-1)       /* pass */
#define BOTHPASS (-3)   /* code for both sides passed, game is over*/

/*codes for players; and a code for something (e.g. a point on the board) */
/* which belongs to neither*/
#define BLACK 0
#define WHITE 1
#define EMPTY 2

/*--------------  Globals  ------------------*/

/*name program uses for itself*/
char *progname = PACKAGE;
char *proginfo = "A simple program to play random moves at Go";
char *version  = VERSION;
string RandyHelp ( "Usage: randyplus [-s n] [-opts]"
		    "\n where n is an optional board size from 2 to 25"
		    "\n(default is 9)"
		    "\nMain Options:"
"\n	-handicap m	Specifies handicap of m stones"
"\n			Default is 0"
"\n	-pass p		Specifies pass frequency in percent, from 0 to 100"
"\n			Default is 0; useful range is probably 0 to 30"
"\n	-eyes		  Prevents Randyplus from filling its own eyes"
"\n			Default is Randyplus can fill its own eyes"
"\n	-komi p		Specifies komi"
"\n			Default is 0"
"\n	-debug		Randyplus will output debug messages to stderr"
"\n			Default is no debug messages"
"\n	-white		Forces Randyplus to play White"
"\n			Default is Randyplus plays Black"
"\n	-gtp		Forces the playing mode to 'gtp'"
"\n			Default is console playing mode" 
"\n\nInformative Output:"
"\n	-v, --version	Display the version of Randyplus"
"\n	-h, --help	Display this help message\n" );

#endif // MAIN_H
